package org.mynonglam.entitys;

import java.io.Serializable;
import javax.persistence.*;
import java.util.List;


/**
 * The persistent class for the linkphotos database table.
 * 
 */
@Entity
@Table(name="linkphotos")
public class LinkPhoto implements Serializable {
	private static final long serialVersionUID = 1L;

	@Id
	private String idphoto;

	private String datecreate;

	private String discription;

	private String link;

	//bi-directional many-to-one association to CommentPhoto
	@OneToMany(mappedBy="linkphoto")
	private List<CommentPhoto> commentphotos;

	//bi-directional many-to-one association to Album
	@ManyToOne
	@JoinColumn(name="idalbum")
	private Album album;

	public LinkPhoto() {
	}

	public String getIdphoto() {
		return this.idphoto;
	}

	public void setIdphoto(String idphoto) {
		this.idphoto = idphoto;
	}

	public String getDatecreate() {
		return this.datecreate;
	}

	public void setDatecreate(String datecreate) {
		this.datecreate = datecreate;
	}

	public String getDiscription() {
		return this.discription;
	}

	public void setDiscription(String discription) {
		this.discription = discription;
	}

	public String getLink() {
		return this.link;
	}

	public void setLink(String link) {
		this.link = link;
	}

	public List<CommentPhoto> getCommentphotos() {
		return this.commentphotos;
	}

	public void setCommentphotos(List<CommentPhoto> commentphotos) {
		this.commentphotos = commentphotos;
	}

	public Album getAlbum() {
		return this.album;
	}

	public void setAlbum(Album album) {
		this.album = album;
	}

}